// SystemLib.h
//
//	Project : CASSIOPEIA LIBRARY
//	Date    : 10/27/2005
//	
//	Copyright (C) 2004 CASIO COMPUTER CO.,LTD.
//	CASIO CONFIDENTIAL
//
#ifndef __SYSTEMLIB__
#define __SYSTEMLIB__

#ifdef SYSTEMLIB_EXPORTS
#define SYSTEMLIB_API __declspec(dllexport)
#else
#define SYSTEMLIB_API __declspec(dllimport)
#endif


#include "SystemLibdef.h"

//	Return Value
#ifndef SYS_PARAMERR
#define	SYS_PARAMERR			0xFFFFFFFD	// Invalid paramater
#endif

#ifndef FUNCTION_UNSUPPORT
#define	FUNCTION_UNSUPPORT		0xFFFFFFFA	// Not supported function
#endif

#define SET_ERROR		0x00000002
#define NOT_SUPPORT		0x00000003

/**************	Model	 **************************/
#define	PX771_M		1
#define	PX798_M		2
#define	PX746_M		3
#define	PX780_M		4
#define PX791_M		5
#define PY10_M		6
#define PY21_M		7
#define PX795_M		8
#define PY55_M		9
#define PY61_M		10
#define PY61_WMM	11
#define PY22_M		12
#define PY22_WMM	13
#define PY31_M		14
#define PY31_WMM	15
#define PY52_M		16
#define PY52_WMM	17
#define NO_M		99

/**************	BootMode **************************/
#define BOOT_NONE			0x00000000
#define BOOT_APL1			0x00000001
#define BOOT_APL2			0x00000002
#define BOOT_APL3			0x00000004
#define BOOT_APL4			0x00000008
#define BOOT_APL5			0x00000010
#define BOOT_APL6			0x00000020
#define BOOT_USB	        0x00000040
#define BOOT_CFCARD			0x00000080
#define BOOT_PGBUTTON		0x00000100
#define BOOT_ARRIVAL		0x00000200
#define BOOT_IOBOX			0x00000400
#define BOOT_RIGHTTRIGGER	0x00000800
#define BOOT_LEFTTRIGGER	0x00001000
#define BOOT_RIGHT			0x00002000
#define BOOT_LEFT			0x00004000
#define BOOT_MULTI			0x00008000

#define BOOT_GUNTRIGGER		0x00010000
#define BOOT_CENTERTRIGGER	0x00020000

#define BOOT_DEFAULT		(BOOT_IOBOX)

/**************	LED	 **************************/
#define LED_OFF				0x00000000
#define	LED_RED				0x00000001
#define	LED_GREEN			0x00000002
#define LED_ORANGE			(LED_RED | LED_GREEN)	/* =3 */
#define LED_BLUE			0x0000000B
#define LED_CYAN			0x0000000C
#define LED_MAGENTA			0x0000000D

#define LED_NOTICE_ON		0x00000008
#define LED_WLAN_ON			0x00000010
#define LED_BT_ON			0x00000020
#define LED_SCANOK_ON		0x00000040
#define LED_SCANERR_ON		0x00000080
#define LED_DISKACCESS_ON	0x00000100
#define LED_WWAN_ON			0x00000200
#define LED_GPS_ON			0x00000400

#define LED_BLINK			(0x01 << 2)
#define LED_NOTIFICATION	0x00000008
#define LED_ACCESS			0x00000009
#define LED_BOTH			0x0000000A

#define LED_MAXTIME			(30*60*16)	// 30min

//SysSetLEDState
#define LED_BT				0x00000000
#define LED_WLAN			0x00000001
#define LED_SCANOK			0x00000002
#define LED_SCANERR			0x00000003
#define LED_ALL				0x00000004
#define LED_WWAN			0x00000005
#define LED_GPS				0x00000006

#define LED_Enable			0x00000000
#define LED_Disable			0x00000001
/**************	CardType**************************/
// CardDetect
#define TYPE_PCMCIA			0x0000
#define TYPE_CF				0x0001
#define TYPE_SD				0x0002

/**************	InputMode	**************************/
#define INPUT_NORMAL		0x0000
#define INPUT_LOCK_NUM		0x0001
#define INPUT_LOCK_HIRA		0x0002
#define INPUT_LOCK_KANA		0x0003
#define INPUT_LOCK_ALPHA	0x0004
#define INPUT_LOCK_ALPHAS	0x0005
#define INPUT_HIRA			0x0006
#define INPUT_KANA			0x0007
#define INPUT_ALPHA			0x0008
#define INPUT_ALPHAS		0x0009
#define INPUT_LOCK_PHONE	0x000A
#define INPUT_LOCK_FSKANA	0x000B
#define INPUT_LOCK_HSKANA	0x000C
#define INPUT_LOCK_FSALPHA	0x000D
#define INPUT_LOCK_HSALPHA	0x000E

/**************	BuzzerType	*************************/
#define BUZ_DEFAULT			0x0000
#define B_CLICK				0x0000
#define B_ALARM				0x0001
#define B_WARNING			0x0002
#define B_SCANEND			0x0003
#define B_USERDEF			0x0004
#define B_ALL				0x0005
#define B_CARDREAD			0x0006
#define B_WIREREAD			0x0007
#define B_TAP				0x0008

/**************	BuzzerVolume*************************/
#define BUZZERVOLUME_MIN	0x0001
#define BUZZERVOLUME_MID	0x0002
#define BUZZERVOLUME_MAX	0x0003

/**************	CPU Mode	*************************/
#define	CPUMODE_LOW			0x0000
#define CPUMODE_MIDDLE		0x0002
#define CPUMODE_HIGH		0x0001
#define CPUMODE_AUTO		0x0003

/**************** Vibrator	**************************/
#define VIBRATOR_DEFAULT	0x0000

/**************** BackupLife  		*******************/
#define LONG_LIFE			0x0001
#define NORMAL_LIFE			0x0002

/****************	WakeOn Modules	*************************/
#define WAKEON_SERIAL14PIN	0x00000010
#define WAKEON_NON			0x00000000

/****************	Key	*************************/
#define	KEYID_LEFTTRIGGER	0
#define	KEYID_RIGHTTRIGGER	1
#define	KEYID_LEFT			2
#define	KEYID_RIGHT			3
#define	KEYID_CLEAR			4
#define	KEYID_ENTER			5
#define	KEYID_0				6
#define	KEYID_1				7
#define	KEYID_2				8
#define	KEYID_3				9

#define	KEYID_4				10
#define	KEYID_5				11
#define	KEYID_6				12
#define	KEYID_7				13
#define	KEYID_8				14
#define	KEYID_9				15
#define	KEYID_MULTI			16
#define	KEYID_FUNCTION		17
#define	KEYID_UP			18
#define	KEYID_DOWN			19

#define	KEYID_F1			20
#define	KEYID_F2			21
#define	KEYID_F3			22
#define	KEYID_F4			23
#define	KEYID_F5			24
#define	KEYID_F6			25
#define	KEYID_F7			26
#define	KEYID_F8			27
#define	KEYID_000			28
#define	KEYID_00			KEYID_000
#define	KEYID_HYPHEN		29

#define	KEYID_BS			30
#define	KEYID_PERIOD		31
#define	KEYID_INPUTMODE		32
#define	KEYID_CENTERTRIGGER	33
#define	KEYID_GUNTRIGGER	34
#define KEYID_PROGRAM		35
#define KEYID_LEFTDOWN		36
#define KEYID_F9			37
#define KEYID_F10			38
#define KEYID_F11			39

#define KEYID_F12			40
#define KEYID_MENU			41
#define KEYID_LMULTI		42
#define KEYID_RMULTI		43

// Virtual Key Code
#define	VK_0					'0'
#define	VK_1					'1'
#define	VK_2					'2'
#define	VK_3					'3'
#define	VK_4					'4'
#define	VK_5					'5'
#define	VK_6					'6'
#define	VK_7					'7'
#define	VK_8					'8'
#define	VK_9					'9'

#define	VK_A					'A'
#define	VK_B					'B'
#define	VK_C					'C'
#define	VK_D					'D'
#define	VK_E					'E'
#define	VK_F					'F'
#define	VK_G					'G'
#define	VK_H					'H'
#define	VK_I					'I'
#define	VK_J					'J'
#define	VK_K					'K'
#define	VK_L					'L'
#define	VK_M					'M'
#define	VK_N					'N'
#define	VK_O					'O'
#define	VK_P					'P'
#define	VK_Q					'Q'
#define	VK_R					'R'
#define	VK_S					'S'
#define	VK_T					'T'
#define	VK_U					'U'
#define	VK_V					'V'
#define	VK_W					'W'
#define	VK_X					'X'
#define	VK_Y					'Y'
#define	VK_Z					'Z'

#define	WCH_A					VK_3
#define	WCH_I					VK_E
#define	WCH_U					VK_4
#define	WCH_E					VK_5
#define	WCH_O					VK_6

#define	WCH_KA					VK_T
#define	WCH_KI					VK_G
#define	WCH_KU					VK_H
#define	WCH_KE					VK_APOSTROPHE
#define	WCH_KO					VK_B

#define	WCH_SA					VK_X
#define	WCH_SI					VK_D
#define	WCH_SU					VK_R
#define	WCH_SE					VK_P
#define	WCH_SO					VK_C

#define	WCH_TA					VK_Q
#define	WCH_TI					VK_A
#define	WCH_TU					VK_Z
#define	WCH_TE					VK_W
#define	WCH_TO					VK_S

#define	WCH_NA					VK_U
#define	WCH_NI					VK_I
#define	WCH_NU					VK_1
#define	WCH_NE					VK_COMMA
#define	WCH_NO					VK_K

#define	WCH_HA					VK_F
#define	WCH_HI					VK_V
#define	WCH_HU					VK_2
#define	WCH_HE					VK_EQUAL
#define	WCH_HO					VK_HYPHEN

#define	WCH_MA					VK_J
#define	WCH_MI					VK_N
#define	WCH_MU					VK_RBRACKET
#define	WCH_ME					VK_SLASH
#define	WCH_MO					VK_M

#define	WCH_YA					VK_7
#define	WCH_YU					VK_8
#define	WCH_YO					VK_9

#define	WCH_RA					VK_O
#define	WCH_RI					VK_L
#define	WCH_RU					VK_PERIOD
#define	WCH_RE					VK_SEMICOLON
#define	WCH_RO					VK_EXTEND_BSLASH

#define	WCH_WA					VK_0
#define	WCH_NN					VK_Y

// Virtual Key Code Option
#define	VF_PAGE						0x00000100
#define	VF_NO_FIX_PAGE				0x00000200
#define	VF_KANA						0x00000400
#define	VF_SHIFT					0x00000800
#define	VF_CONTROL					0x00001000
#define	VF_MENU						0x00002000
#define	VF_NO_KEY_UP				0x00004000
#define	VF_NOP						0x00008000
#define	VF_NOP_CLICK				0x00010000
#define	KEYBD_DEVICE_SILENT			0x01000000
#define	KEYBD_DEVICE_SILENT_REPEAT	0x02000000

// KeyLock
#define	KEY_LOCK_NONE			0x00000000
#define	KEY_LOCK_FUNCTION		1 << KEY_ID_FUNCTION
#define	KEY_LOCK_LEFT			1 << KEY_ID_LEFT
#define	KEY_LOCK_RIGHT			1 << KEY_ID_RIGHT
#define	KEY_LOCK_UP				1 << KEY_ID_UP
#define	KEY_LOCK_DOWN			1 << KEY_ID_DOWN
#define	KEY_LOCK_F1				1 << KEY_ID_F1
#define	KEY_LOCK_F2				1 << KEY_ID_F2
#define	KEY_LOCK_F3				1 << KEY_ID_F3
#define	KEY_LOCK_F4				1 << KEY_ID_F4
#define	KEY_LOCK_F5				1 << KEY_ID_F5
#define	KEY_LOCK_F6				1 << KEY_ID_F6
#define	KEY_LOCK_F7				1 << KEY_ID_F7
#define	KEY_LOCK_F8				1 << KEY_ID_F8
#define	KEY_LOCK_0				1 << KEY_ID_0
#define	KEY_LOCK_1				1 << KEY_ID_1
#define	KEY_LOCK_2				1 << KEY_ID_2
#define	KEY_LOCK_3				1 << KEY_ID_3
#define	KEY_LOCK_4				1 << KEY_ID_4
#define	KEY_LOCK_5				1 << KEY_ID_5
#define	KEY_LOCK_6				1 << KEY_ID_6
#define	KEY_LOCK_7				1 << KEY_ID_7
#define	KEY_LOCK_8				1 << KEY_ID_8
#define	KEY_LOCK_9				1 << KEY_ID_9
#define	KEY_LOCK_CLEAR				1 << KEY_ID_CLEAR
#define	KEY_LOCK_ENTER				1 << KEY_ID_ENTER
#define KEY_LOCK_ALL    ( KEY_LOCK_NONE | KEY_LOCK_FUNCTION \
   | KEY_LOCK_LEFT | KEY_LOCK_RIGHT | KEY_LOCK_UP | KEY_LOCK_DOWN \
   | KEY_LOCK_F1 | KEY_LOCK_F2 | KEY_LOCK_F3 | KEY_LOCK_F4 \
   | KEY_LOCK_F5 | KEY_LOCK_F6 | KEY_LOCK_F7 | KEY_LOCK_F8 \
   | KEY_LOCK_0 | KEY_LOCK_1 | KEY_LOCK_2 | KEY_LOCK_3 | KEY_LOCK_4 \
   | KEY_LOCK_5 | KEY_LOCK_6 | KEY_LOCK_7 | KEY_LOCK_8 | KEY_LOCK_9 \
   | KEY_LOCK_CLEAR | KEY_LOCK_ENTER )


#define KEY_LOCK_ACTION_LEFT	1
#define KEY_LOCK_UP_LEFT		2
#define KEY_LOCK_DOWN_LEFT		4
#define KEY_LOCK_MENU			8
#define KEY_LOCK_CALENDAR		16
#define KEY_LOCK_CONTACTS		32
#define KEY_LOCK_MESSAGEING		64
#define KEY_LOCK_UP_CENTER		128
#define KEY_LOCK_RIGHT_CENTER	256
#define KEY_LOCK_DOWN_CENTER	512
#define KEY_LOCK_LEFT_CENTER	1024
#define KEY_LOCK_ACTION_CENTER	2048

#define	KEY_CONVERSION_MODE_KANA			1
#define	KEY_CONVERSION_MODE_CAPITALALPHA	2
#define	KEY_CONVERSION_MODE_SMALLALPHA		3

//SysSetFnKeyOperation
#define	STATE_FN_NON				0x00000000
#define	STATE_FN_0					0x00000001
#define	STATE_FN_1					0x00000002
#define	STATE_FN_2					0x00000004
#define	STATE_FN_3					0x00000008
#define	STATE_FN_4					0x00000010
#define	STATE_FN_5					0x00000020
#define	STATE_FN_6					0x00000040
#define	STATE_FN_7					0x00000080
#define	STATE_FN_8					0x00000100
#define	STATE_FN_9					0x00000200
#define STATE_FN_MENU				0x00000400
#define STATE_FN_LMULTI				0x00000800
#define STATE_FN_RMULTI				0x00001000
#define	STATE_FN_ALL				0x00002FFF

// SysSetUserDefineKey
#define	KEY_MODE_NUM				0x0001
#define	KEY_MODE_KANA				0x0002
#define	KEY_MODE_ALPHA				0x0003
#define	KEY_MODE_ALPHAS				0x0004
#define	KEY_MODE_FUNCTION			0x0005
#define	KEY_MODE_LOCK				0x0006
#define	KEY_MODE_IME_INPUT			0x0007
#define	KEY_MODE_FN_ACTION			0x0008
#define	KEY_MODE_PHONE				0x0009
#define	KEY_MODE_HIRA				0x000A
#define	KEY_MODE_FSKANA				0x000B
#define	KEY_MODE_HSKANA				0x000C
#define	KEY_MODE_FSALPHA			0x000D
#define	KEY_MODE_HSALPHA			0x000E


/**************** Virtualoff	**************************/
#define	VIRTUALOFF_ENABLE_NOT_EX	0x00000003
#define	VIRTUALOFF_EX_ENABLE		0x00000002
#define	VIRTUALOFF_ENABLE			0x00000001
#define	VIRTUALOFF_DISABLE			0x00000000


//Enable KeyMode
#define	SYS_ENABLE_KEYMODE_NUM			0x00000001
#define	SYS_ENABLE_KEYMODE_HIRA			0x00000002
#define	SYS_ENABLE_KEYMODE_KANA			0x00000004
#define	SYS_ENABLE_KEYMODE_ALPHA		0x00000008
#define	SYS_ENABLE_KEYMODE_ALPHAS		0x00000010
#define	SYS_ENABLE_KEYMODE_PHONE		0x00000020
#define	SYS_ENABLE_KEYMODE_FSKANA		0x00002000
#define	SYS_ENABLE_KEYMODE_HSKANA		0x00004000
#define	SYS_ENABLE_KEYMODE_FSALPHA		0x00008000
#define	SYS_ENABLE_KEYMODE_HSALPHA		0x00010000

/*****************Storage Acsess Off***********************/
#define	STORAGE_MASK_CF				0x00000001
#define	STORAGE_MASK_SD				0x00000002
#define	STORAGE_MASK_FD				0x00000004
#define	STORAGE_MASK_PCMCIA			0x00000008

/*****************StorageType******************************/
#define	STORAGE_CF					0x00000001
#define	STORAGE_SD					0x00000002

/*****************SystemValue******************************/
enum SystemValue{
	STORAGE_Name_Flash =1,
	STORAGE_Name_CF1,
	STORAGE_Name_CF2,
	STORAGE_Name_SD,
	BT_ClientSerial,
	BT_ServerSerial,
	BT_DaialUP,
	BT_LAN,
	IrDA_Law,
	USB_Serial,
	Serial_Port1,
	Serial_Port2,
	Card_Serial1,
	Card_Serial2,
	OBRIni_FilePath,
	IMGIni_FilePath
};

/*****************EmulateMouse******************************/
#define	EMUMOUSE_ENABLE			0x00000001
#define	EMUMOUSE_DISABLE		0x00000000

#ifdef	__cplusplus
extern "C" {
#endif	// __cplusplus


//	System Library

//System Power
DWORD 	SysGetModelName(DWORD *dwModel, DWORD *dwVersion, DWORD *dwPlatform);
DWORD 	SysSetBootup(DWORD bootmode);
DWORD 	SysGetBootup(DWORD *bootmode);
DWORD 	SysSetOffMaskTime(DWORD time);
DWORD 	SysGetOffMaskTime(DWORD *time);
DWORD 	SysSetPowerOnKeyTime(DWORD time);
DWORD 	SysGetPowerOnKeyTime(DWORD *time);
DWORD 	SysSetPowerOffKeyTime(DWORD time);
DWORD 	SysGetPowerOffKeyTime(DWORD *time);
DWORD 	SysPowerOff(void);
DWORD 	SysDisablePowerOff(void);
DWORD 	SysEnablePowerOff(void);
DWORD 	SysGetPowerOff(void);
DWORD 	SysDisableAPO(void);
DWORD 	SysEnableAPO(void);
DWORD 	SysGetAPO(void);
DWORD 	SysSoftReset(void);
DWORD 	SysSetCPUMode(DWORD mode);
DWORD 	SysGetCPUMode(DWORD *pmode);
DWORD	SysSetDefaultCPUMode();
DWORD 	SysGetDeviceIDCode(TCHAR *pdwDevID);
DWORD 	SysGetUserIDCode (DWORD *pwUserID);
DWORD 	SysSetBackupLife(DWORD dwSetBackuplife);
DWORD 	SysGetBackupLife(void);
DWORD 	SysSetWakeOn(DWORD dwWakeOnModules);
DWORD 	SysGetWakeOn( DWORD *pdwWakeOnModules);
DWORD	SysSetVirtualOffMode(DWORD dwVirtualOffMode);
DWORD 	SysGetVirtualOffMode(DWORD *pdwVirtualOffMode);
DWORD	SysSetVirtualOffModeEx(DWORD dwVirtualOffMode);
DWORD	SysSetSystemManagedVirtualOffMode(DWORD dwSysVOffMode);
DWORD	SysGetSystemManagedVirtualOffMode(DWORD* dwSysVOffMode);
DWORD 	SysGetBLBattery(DWORD *setting);
DWORD 	SysSetBLBattery(DWORD  setting);
DWORD 	SysGetBLExpower(DWORD *setting);
DWORD 	SysSetBLExpower (DWORD setting);
DWORD 	SysGetBLMaximum(DWORD*  BAsetting,  DWORD*  ACsetting);
DWORD 	SysSetBLOffTime(DWORD dwTime);
DWORD 	SysGetBLOffTime(DWORD *pdwTime);
DWORD 	SysGetContrast(DWORD *setting);
DWORD 	SysSetContrast(DWORD setting);
DWORD 	SysGetContrastMaximum(DWORD* setting);
DWORD	SysRenewPartition(DWORD dwStorageType);
DWORD	SysGetSystemName(DWORD dwValueID, TCHAR* lpValueName);
DWORD	SysSetEmulateMouseState(DWORD dwEmulateMouseState);
DWORD	SysGetEmulateMouseState(DWORD* dwEmulateMouseState);
DWORD	SysKeyBackLightOn(void);
DWORD	SysKeyBackLightOff(void);
DWORD	SysGetKeyBackLightState(void);

//LED
DWORD 	SysSetLED(DWORD mode, DWORD num, DWORD ontime, DWORD offtime);
DWORD 	SysGetLED(void);
DWORD	SysSetLEDState(DWORD dwType, BOOL bMute);
DWORD	SysGetLEDState(DWORD dwType);
DWORD 	SysPrepareLED ( DWORD dwLedMode, DWORD dwNum,DWORD dwOnTime, DWORD dwOffTime);
DWORD 	SysUpdateLED(DWORD dwLedMode);

//Buzzer
DWORD 	SysPlayBuzzer(DWORD type, DWORD helz, DWORD time);
DWORD 	SysStopBuzzer(void);
DWORD 	SysSetBuzzerVolume(DWORD Type, DWORD BuzzerVolume);
DWORD 	SysGetBuzzerVolume(DWORD Type);
DWORD 	SysSetBuzzerMute(DWORD Type, BOOL Mute);
DWORD 	SysGetBuzzerMute(DWORD Type);

//Cradle
DWORD 	SysCheckIOBOX(DWORD timeout);
DWORD 	SysCheckCharger(DWORD timeout);

//Vibrator
DWORD 	SysPlayVibrator(DWORD dwType, DWORD dwCount,DWORD dwOnTime, DWORD dwOffTime);
DWORD 	SysStopVibrator(void);
DWORD 	SysSetVibratorMute(DWORD dwType, BOOL bMute);
DWORD 	SysGetVibratorMute(DWORD dwType);

//Card
DWORD 	SysDisableCardDetect(DWORD socket);
DWORD 	SysEnableCardDetect(DWORD socket);
DWORD 	SysGetCardDetect(DWORD socket);
DWORD 	SysDisableWLAN(void);
DWORD 	SysEnableWLAN(void);
DWORD 	SysGetWLAN(void);
DWORD	SysSetStorageOffMaskTime(DWORD dwStorage, DWORD dwStorageType);
DWORD	SysGetStorageOffMaskTime(DWORD *dwStorage, DWORD *dwStorageType);

//Display
DWORD 	SysSet180Rotate(BOOL bRotate);
DWORD 	SysGet180Rotate(void);
DWORD 	SysDisplayOff(void);
DWORD 	SysDisplayOn(void);
DWORD	SysGetDisplayPowerState();

//TouchPanel
DWORD	SysTouchPanelOn();
DWORD	SysTouchPanelOff();
DWORD	SysGetTouchPanelState(void);
DWORD	SysMultiTouchOn();
DWORD	SysMultiTouchOff();
DWORD	SysGetMultiTouchState();

//Audio
DWORD	SysAudioOn();
DWORD	SysAudioOff();
DWORD	SysGetAudioPowerState(void);

//Key
DWORD 	SysSetFnKeyLock(BOOL fnlock);
DWORD 	SysGetFnKeyLock(void);
DWORD	SysSetFnKeyOperation(DWORD dwfnkey);
DWORD	SysGetFnKeyOperation(void);
DWORD 	SysSetInputMode(DWORD inputmode);
DWORD 	SysGetInputMode(void);
DWORD  	SysSetAllKeyLock(BOOL KeyLock);
DWORD	SysGetAllKeyLock(void);
DWORD 	SysSetNormalUserDefineKey(DWORD KeyID, DWORD KeySeBuff[16]);
DWORD 	SysGetNormalUserDefineKey(DWORD KeyID, DWORD *KeySeBuff);
DWORD 	SysSetFnUserDefineKey(DWORD dwKeyID, DWORD dwKeyCode);
DWORD 	SysGetFnUserDefineKey(DWORD dwKeyID, DWORD *pdwKeyCode);
DWORD 	SysSetKeyRepeat(DWORD *pdwKeyRepeat);
DWORD 	SysGetKeyRepeat(DWORD *pdwKeyRepeat);
DWORD 	SysSetFakeRepeat(DWORD *pdwKeyRepeat);
DWORD 	SysGetFakeRepeat(DWORD *pdwKeyRepeat);
DWORD 	SysSetOtherUserDefineKey(WORD wMode, WORD wKeyID,DWORD *pdwCodes);
DWORD 	SysGetOtherUserDefineKey(WORD wMode, WORD wKeyID,DWORD *pdwCodes);
DWORD 	SysSetAllKeyRepeat(BOOL bNot);
DWORD 	SysGetAllKeyRepeat(void);
DWORD 	SysSetOneKeyLock(DWORD dwDisableBits);
DWORD 	SysGetOneKeyLock(void);
DWORD 	SysDeleteUserDefineKey(int KeyId);
DWORD 	SysGetDefaultKey(int KeyId, DWORD DefaultKeyBuf[16]);
DWORD 	SysSetUserDefineKeyState(BOOL State);
DWORD 	SysGetUserDefineKeyState(void);
DWORD 	SysSetResetUserDefineKeyState(BOOL State);
DWORD 	SysGetResetUserDefineKeyState(void);
DWORD	SysSetEnableTriggerKey(BOOL EnableTriggerKey);
DWORD	SysGetEnableTriggerKey();
DWORD	SysSetEnableKeyMode(DWORD EnableState);
DWORD	SysGetEnableKeyMode();
DWORD	SysSetUserDefineKey(WORD KeyMode, DWORD KeyID, DWORD KeySetBuff[16]);
DWORD	SysGetUserDefineKey(WORD KeyMode, DWORD KeyID, DWORD *KeySetBuff);
DWORD	SysDeleteUserDefineKeyEx(WORD KeyMode, int KeyId);

#ifdef	__cplusplus
}
#endif	// __cplusplus
#endif	//__SYSTEMLIB__
